=== modified file 'drizzled/field/timestamp.cc'
--- drizzled/field/timestamp.cc	2008-12-18 06:53:47 +0000
+++ drizzled/field/timestamp.cc	2008-12-22 03:34:28 +0000
@@ -152,7 +152,7 @@
                            const CHARSET_INFO * const cs __attribute__((unused)))
 {
   DRIZZLE_TIME l_time;
-  my_time_t tmp= 0;
+  time_t tmp= 0;
   int error;
   bool have_smth_to_conv;
   bool in_dst_time_gap;
@@ -212,7 +212,7 @@
                            bool unsigned_val __attribute__((unused)))
 {
   DRIZZLE_TIME l_time;
-  my_time_t timestamp= 0;
+  time_t timestamp= 0;
   int error;
   bool in_dst_time_gap;
   Session *session= table ? table->in_use : current_session;
@@ -466,7 +466,7 @@
 }
 
 
-void Field_timestamp::store_timestamp(my_time_t timestamp)
+void Field_timestamp::store_timestamp(time_t timestamp)
 {
 #ifdef WORDS_BIGENDIAN
   if (table && table->s->db_low_byte_first)

=== modified file 'drizzled/field/timestamp.h'
--- drizzled/field/timestamp.h	2008-11-19 08:07:10 +0000
+++ drizzled/field/timestamp.h	2008-12-22 04:53:24 +0000
@@ -57,7 +57,7 @@
 
   /* Get TIMESTAMP field value as seconds since begging of Unix Epoch */
   long get_timestamp(bool *null_value);
-  void store_timestamp(my_time_t timestamp);
+  void store_timestamp(time_t timestamp);
   bool get_date(DRIZZLE_TIME *ltime,uint32_t fuzzydate);
   bool get_time(DRIZZLE_TIME *ltime);
   timestamp_auto_set_type get_auto_set_type() const;

=== modified file 'drizzled/function/time/curdate.cc'
--- drizzled/function/time/curdate.cc	2008-12-18 06:53:47 +0000
+++ drizzled/function/time/curdate.cc	2008-12-22 03:34:28 +0000
@@ -51,7 +51,7 @@
 }
 
 /**
-    Converts current time in my_time_t to DRIZZLE_TIME represenatation for local
+    Converts current time in time_t to DRIZZLE_TIME represenatation for local
     time zone. Defines time zone (local) used for whole CURDATE function.
 */
 void Item_func_curdate_local::store_now_in_TIME(DRIZZLE_TIME *now_time)
@@ -62,7 +62,7 @@
 }
 
 /**
-    Converts current time in my_time_t to DRIZZLE_TIME represenatation for UTC
+    Converts current time in time_t to DRIZZLE_TIME represenatation for UTC
     time zone. Defines time zone (UTC) used for whole UTC_DATE function.
 */
 void Item_func_curdate_utc::store_now_in_TIME(DRIZZLE_TIME *now_time)

=== modified file 'drizzled/function/time/curtime.cc'
--- drizzled/function/time/curtime.cc	2008-12-12 20:40:37 +0000
+++ drizzled/function/time/curtime.cc	2008-12-22 03:34:28 +0000
@@ -43,24 +43,24 @@
 }
 
 /**
-    Converts current time in my_time_t to DRIZZLE_TIME represenatation for local
+    Converts current time in time_t to DRIZZLE_TIME represenatation for local
     time zone. Defines time zone (local) used for whole CURTIME function.
 */
 void Item_func_curtime_local::store_now_in_TIME(DRIZZLE_TIME *now_time)
 {
   Session *session= current_session;
   session->variables.time_zone->gmt_sec_to_TIME(now_time,
-                                             (my_time_t)session->query_start());
+                                                (time_t)session->query_start());
 }
 
 /**
-    Converts current time in my_time_t to DRIZZLE_TIME represenatation for UTC
+    Converts current time in time_t to DRIZZLE_TIME represenatation for UTC
     time zone. Defines time zone (UTC) used for whole UTC_TIME function.
 */
 void Item_func_curtime_utc::store_now_in_TIME(DRIZZLE_TIME *now_time)
 {
   my_tz_UTC->gmt_sec_to_TIME(now_time,
-                             (my_time_t)(current_session->query_start()));
+                             (time_t)(current_session->query_start()));
   /*
     We are not flagging this query as using time zone, since it uses fixed
     UTC-SYSTEM time-zone.

=== modified file 'drizzled/function/time/curtime.h'
--- drizzled/function/time/curtime.h	2008-12-12 20:40:37 +0000
+++ drizzled/function/time/curtime.h	2008-12-22 04:53:24 +0000
@@ -38,7 +38,7 @@
   void fix_length_and_dec();
   /*
     Abstract method that defines which time zone is used for conversion.
-    Converts time current time in my_time_t representation to broken-down
+    Converts time current time in time_t representation to broken-down
     DRIZZLE_TIME representation using UTC-SYSTEM or per-thread time zone.
   */
   virtual void store_now_in_TIME(DRIZZLE_TIME *now_time)=0;

=== modified file 'drizzled/function/time/now.cc'
--- drizzled/function/time/now.cc	2008-12-18 06:53:47 +0000
+++ drizzled/function/time/now.cc	2008-12-22 03:34:28 +0000
@@ -44,7 +44,7 @@
 }
 
 /**
-    Converts current time in my_time_t to DRIZZLE_TIME represenatation for local
+    Converts current time in time_t to DRIZZLE_TIME represenatation for local
     time zone. Defines time zone (local) used for whole NOW function.
 */
 void Item_func_now_local::store_now_in_TIME(DRIZZLE_TIME *now_time)
@@ -56,13 +56,13 @@
 
 
 /**
-    Converts current time in my_time_t to DRIZZLE_TIME represenatation for UTC
+    Converts current time in time_t to DRIZZLE_TIME represenatation for UTC
     time zone. Defines time zone (UTC) used for whole UTC_TIMESTAMP function.
 */
 void Item_func_now_utc::store_now_in_TIME(DRIZZLE_TIME *now_time)
 {
   my_tz_UTC->gmt_sec_to_TIME(now_time,
-                             (my_time_t)(current_session->query_start()));
+                             (time_t)(current_session->query_start()));
   /*
     We are not flagging this query as using time zone, since it uses fixed
     UTC-SYSTEM time-zone.

=== modified file 'drizzled/function/time/sysdate_local.cc'
--- drizzled/function/time/sysdate_local.cc	2008-12-18 06:53:47 +0000
+++ drizzled/function/time/sysdate_local.cc	2008-12-22 03:34:28 +0000
@@ -24,7 +24,7 @@
 #include <drizzled/session.h>
 
 /**
-    Converts current time in my_time_t to DRIZZLE_TIME represenatation for local
+    Converts current time in time_t to DRIZZLE_TIME represenatation for local
     time zone. Defines time zone (local) used for whole SYSDATE function.
 */
 void Item_func_sysdate_local::store_now_in_TIME(DRIZZLE_TIME *now_time)

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2008-12-15 18:33:47 +0000
+++ drizzled/server_includes.h	2008-12-22 04:53:24 +0000
@@ -262,7 +262,7 @@
 uint32_t convert_month_to_period(uint32_t month);
 void get_date_from_daynr(long daynr,uint32_t *year, uint32_t *month,
 			 uint32_t *day);
-my_time_t TIME_to_timestamp(Session *session, const DRIZZLE_TIME *t, bool *not_exist);
+time_t TIME_to_timestamp(Session *session, const DRIZZLE_TIME *t, bool *not_exist);
 bool str_to_time_with_warn(const char *str,uint32_t length,DRIZZLE_TIME *l_time);
 enum enum_drizzle_timestamp_type str_to_datetime_with_warn(const char *str, uint32_t length,
                                          DRIZZLE_TIME *l_time, uint32_t flags);

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2008-12-18 06:53:47 +0000
+++ drizzled/show.cc	2008-12-22 03:34:28 +0000
@@ -2970,21 +2970,21 @@
       if (file->stats.create_time)
       {
         session->variables.time_zone->gmt_sec_to_TIME(&time,
-                                                  (my_time_t) file->stats.create_time);
+                                                  (time_t) file->stats.create_time);
         table->field[14]->store_time(&time, DRIZZLE_TIMESTAMP_DATETIME);
         table->field[14]->set_notnull();
       }
       if (file->stats.update_time)
       {
         session->variables.time_zone->gmt_sec_to_TIME(&time,
-                                                  (my_time_t) file->stats.update_time);
+                                                  (time_t) file->stats.update_time);
         table->field[15]->store_time(&time, DRIZZLE_TIMESTAMP_DATETIME);
         table->field[15]->set_notnull();
       }
       if (file->stats.check_time)
       {
         session->variables.time_zone->gmt_sec_to_TIME(&time,
-                                                  (my_time_t) file->stats.check_time);
+                                                  (time_t) file->stats.check_time);
         table->field[16]->store_time(&time, DRIZZLE_TIMESTAMP_DATETIME);
         table->field[16]->set_notnull();
       }

=== modified file 'drizzled/time.cc'
--- drizzled/time.cc	2008-12-13 00:15:23 +0000
+++ drizzled/time.cc	2008-12-22 03:34:28 +0000
@@ -260,10 +260,10 @@
      0 - t contains datetime value which is out of TIMESTAMP range.
 
 */
-my_time_t TIME_to_timestamp(Session *session, const DRIZZLE_TIME *t,
+time_t TIME_to_timestamp(Session *session, const DRIZZLE_TIME *t,
                             bool *in_dst_time_gap)
 {
-  my_time_t timestamp;
+  time_t timestamp;
 
   *in_dst_time_gap= 0;
 

=== modified file 'drizzled/tztime.cc'
--- drizzled/tztime.cc	2008-12-18 06:53:47 +0000
+++ drizzled/tztime.cc	2008-12-22 04:53:24 +0000
@@ -39,13 +39,13 @@
 /* Structure describing leap-second corrections. */
 typedef struct lsinfo
 {
-  my_time_t ls_trans; // Transition time
+  time_t ls_trans; // Transition time
   long      ls_corr;  // Correction to apply
 } LS_INFO;
 
 /*
-  Structure with information describing ranges of my_time_t shifted to local
-  time (my_time_t + offset). Used for local DRIZZLE_TIME -> my_time_t conversion.
+  Structure with information describing ranges of time_t shifted to local
+  time (time_t + offset). Used for local DRIZZLE_TIME -> time_t conversion.
   See comments for TIME_to_gmt_sec() for more info.
 */
 typedef struct revtinfo
@@ -65,9 +65,9 @@
   uint32_t timecnt;  // Number of transitions between time types
   uint32_t typecnt;  // Number of local time types
   uint32_t charcnt;  // Number of characters used for abbreviations
-  uint32_t revcnt;   // Number of transition descr. for TIME->my_time_t conversion
+  uint32_t revcnt;   // Number of transition descr. for TIME->time_t conversion
   /* The following are dynamical arrays are allocated in MEM_ROOT */
-  my_time_t *ats;       // Times of transitions between time types
+  time_t *ats;       // Times of transitions between time types
   unsigned char	*types; // Local time types for transitions
   TRAN_TYPE_INFO *ttis; // Local time types descriptions
   /* Storage for local time types abbreviations. They are stored as ASCIIZ */
@@ -78,11 +78,11 @@
   */
   LS_INFO *lsis;
   /*
-    Starting points and descriptions of shifted my_time_t (my_time_t + offset)
-    ranges on which shifted my_time_t -> my_time_t mapping is linear or undefined.
-    Used for tm -> my_time_t conversion.
+    Starting points and descriptions of shifted time_t (time_t + offset)
+    ranges on which shifted time_t -> time_t mapping is linear or undefined.
+    Used for tm -> time_t conversion.
   */
-  my_time_t *revts;
+  time_t *revts;
   REVT_INFO *revtis;
   /*
     Time type which is used for times smaller than first transition or if
@@ -116,24 +116,24 @@
 
 
 /*
-  Converts time from my_time_t representation (seconds in UTC since Epoch)
+  Converts time from time_t representation (seconds in UTC since Epoch)
   to broken down representation using given local time zone offset.
 
   SYNOPSIS
     sec_to_TIME()
       tmp    - pointer to structure for broken down representation
-      t      - my_time_t value to be converted
+      t      - time_t value to be converted
       offset - local time zone offset
 
   DESCRIPTION
-    Convert my_time_t with offset to DRIZZLE_TIME struct. Differs from timesub
+    Convert time_t with offset to DRIZZLE_TIME struct. Differs from timesub
     (from elsie code) because doesn't contain any leap correction and
     TM_GMTOFF and is_dst setting and contains some MySQL specific
     initialization. Funny but with removing of these we almost have
     glibc's offtime function.
 */
 static void
-sec_to_TIME(DRIZZLE_TIME * tmp, my_time_t t, long offset)
+sec_to_TIME(DRIZZLE_TIME * tmp, time_t t, long offset)
 {
   long days;
   long rem;
@@ -146,7 +146,7 @@
 
   /*
     We do this as separate step after dividing t, because this
-    allows us handle times near my_time_t bounds without overflows.
+    allows us handle times near time_t bounds without overflows.
   */
   rem+= offset;
   while (rem < 0)
@@ -196,19 +196,19 @@
 
 
 /*
-  Find time range wich contains given my_time_t value
+  Find time range wich contains given time_t value
 
   SYNOPSIS
     find_time_range()
-      t                - my_time_t value for which we looking for range
+      t                - time_t value for which we looking for range
       range_boundaries - sorted array of range starts.
       higher_bound     - number of ranges
 
   DESCRIPTION
-    Performs binary search for range which contains given my_time_t value.
-    It has sense if number of ranges is greater than zero and my_time_t value
+    Performs binary search for range which contains given time_t value.
+    It has sense if number of ranges is greater than zero and time_t value
     is greater or equal than beginning of first range. It also assumes that
-    t belongs to some range specified or end of last is MY_TIME_T_MAX.
+    t belongs to some range specified.
 
     With this localtime_r on real data may takes less time than with linear
     search (I've seen 30% speed up).
@@ -217,7 +217,7 @@
     Index of range to which t belongs
 */
 static uint
-find_time_range(my_time_t t, const my_time_t *range_boundaries,
+find_time_range(time_t t, const time_t *range_boundaries,
                 uint32_t higher_bound)
 {
   uint32_t i, lower_bound= 0;
@@ -246,20 +246,20 @@
 }
 
 /*
-  Find local time transition for given my_time_t.
+  Find local time transition for given time_t.
 
   SYNOPSIS
     find_transition_type()
-      t   - my_time_t value to be converted
+      t   - time_t value to be converted
       sp  - pointer to struct with time zone description
 
   RETURN VALUE
     Pointer to structure in time zone description describing
-    local time type for given my_time_t.
+    local time type for given time_t.
 */
 static
 const TRAN_TYPE_INFO *
-find_transition_type(my_time_t t, const TIME_ZONE_INFO *sp)
+find_transition_type(time_t t, const TIME_ZONE_INFO *sp)
 {
   if (unlikely(sp->timecnt == 0 || t < sp->ats[0]))
   {
@@ -280,13 +280,13 @@
 
 
 /*
-  Converts time in my_time_t representation (seconds in UTC since Epoch) to
+  Converts time in time_t representation (seconds in UTC since Epoch) to
   broken down DRIZZLE_TIME representation in local time zone.
 
   SYNOPSIS
     gmt_sec_to_TIME()
       tmp          - pointer to structure for broken down represenatation
-      sec_in_utc   - my_time_t value to be converted
+      sec_in_utc   - time_t value to be converted
       sp           - pointer to struct with time zone description
 
   TODO
@@ -296,9 +296,9 @@
     (60th and 61st second, look how we calculate them as "hit" in this
     function).
     Under realistic assumptions about frequency of transitions the same array
-    can be used fot DRIZZLE_TIME -> my_time_t conversion. For this we need to
+    can be used for DRIZZLE_TIME -> time_t conversion. For this we need to
     implement tweaked binary search which will take into account that some
-    DRIZZLE_TIME has two matching my_time_t ranges and some of them have none.
+    DRIZZLE_TIME has two matching time_t ranges and some of them have none.
 */
 static void
 gmt_sec_to_TIME(DRIZZLE_TIME *tmp, time_t sec_in_utc, const TIME_ZONE_INFO *sp)
@@ -357,25 +357,25 @@
 
 /*
   Converts local time in broken down representation to local
-  time zone analog of my_time_t represenation.
+  time zone analog of time_t represenation.
 
   SYNOPSIS
     sec_since_epoch()
       year, mon, mday, hour, min, sec - broken down representation.
 
   DESCRIPTION
-    Converts time in broken down representation to my_time_t representation
+    Converts time in broken down representation to time_t representation
     ignoring time zone. Note that we cannot convert back some valid _local_
-    times near ends of my_time_t range because of my_time_t  overflow. But we
+    times near ends of time_t range because of time_t overflow. But we
     ignore this fact now since MySQL will never pass such argument.
 
   RETURN VALUE
     Seconds since epoch time representation.
 */
-static my_time_t
+static time_t
 sec_since_epoch(int year, int mon, int mday, int hour, int min ,int sec)
 {
-  /* Guard against my_time_t overflow(on system with 32 bit my_time_t) */
+  /* Guard against time_t overflow (on system with 32 bit time_t) */
   assert(!(year == TIMESTAMP_MAX_YEAR && mon == 1 && mday > 17));
 #ifndef WE_WANT_TO_HANDLE_UNORMALIZED_DATES
   /*
@@ -403,7 +403,7 @@
 }
 
 /*
-  Converts local time in broken down DRIZZLE_TIME representation to my_time_t
+  Converts local time in broken down DRIZZLE_TIME representation to time_t
   representation.
 
   SYNOPSIS
@@ -421,7 +421,7 @@
       has two answers it will give the smaller one
     - If we are in spring time gap then it will return
       beginning of the gap
-    - It can give wrong results near the ends of my_time_t due to
+    - It can give wrong results near the ends of time_t due to
       overflows, but we are safe since in MySQL we will never
       call this function for such dates (its restriction for year
       between 1970 and 2038 gives us several days of reserve).
@@ -445,20 +445,20 @@
 
     We use completely different approach. It is better since it is both
     faster than iterative implementations and fully determenistic. If you
-    look at my_time_t to DRIZZLE_TIME conversion then you'll find that it consist
+    look at time_t to DRIZZLE_TIME conversion then you'll find that it consist
     of two steps:
-    The first is calculating shifted my_time_t value and the second - TIME
-    calculation from shifted my_time_t value (well it is a bit simplified
-    picture). The part in which we are interested in is my_time_t -> shifted
-    my_time_t conversion. It is piecewise linear function which is defined
+    The first is calculating shifted time_t value and the second - TIME
+    calculation from shifted time_t value (well it is a bit simplified
+    picture). The part in which we are interested in is time_t -> shifted
+    time_t conversion. It is piecewise linear function which is defined
     by combination of transition times as break points and times offset
     as changing function parameter. The possible inverse function for this
     converison would be ambiguos but with MySQL's restrictions we can use
     some function which is the same as inverse function on unambigiuos
     ranges and coincides with one of branches of inverse function in
     other ranges. Thus we just need to build table which will determine
-    this shifted my_time_t -> my_time_t conversion similar to existing
-    (my_time_t -> shifted my_time_t table). We do this in
+    this shifted time_t -> time_t conversion similar to existing
+    (time_t -> shifted time_t table). We do this in
     prepare_tz_info function.
 
   TODO
@@ -474,11 +474,11 @@
     Seconds in UTC since Epoch.
     0 in case of error.
 */
-static my_time_t
+static time_t
 TIME_to_gmt_sec(const DRIZZLE_TIME *t, const TIME_ZONE_INFO *sp,
                 bool *in_dst_time_gap)
 {
-  my_time_t local_t;
+  time_t local_t;
   uint32_t saved_seconds;
   uint32_t i;
   int shift= 0;
@@ -494,8 +494,8 @@
     saved_seconds= t->second;
 
   /*
-    NOTE: to convert full my_time_t range we do a shift of the
-    boundary dates here to avoid overflow of my_time_t.
+    NOTE: to convert full time_t range we do a shift of the
+    boundary dates here to avoid overflow of time_t.
     We use alike approach in my_system_gmt_sec().
 
     However in that function we also have to take into account
@@ -526,8 +526,8 @@
   if (local_t < sp->revts[0] || local_t > sp->revts[sp->revcnt])
   {
     /*
-      This means that source time can't be represented as my_time_t due to
-      limited my_time_t range.
+      This means that source time can't be represented as time_t due to
+      limited time_t range.
     */
     return(0);
   }
@@ -542,10 +542,10 @@
   */
   if (shift)
   {
-    if (local_t > (my_time_t) (TIMESTAMP_MAX_VALUE - shift * SECS_PER_DAY +
-                               sp->revtis[i].rt_offset - saved_seconds))
+    if (local_t > (time_t) (TIMESTAMP_MAX_VALUE - shift * SECS_PER_DAY +
+                            sp->revtis[i].rt_offset - saved_seconds))
     {
-      return(0);                           /* my_time_t overflow */
+      return(0);                           /* time_t overflow */
     }
     local_t+= shift * SECS_PER_DAY;
   }
@@ -555,7 +555,7 @@
     /*
       Oops! We are in spring time gap.
       May be we should return error here?
-      Now we are returning my_time_t value corresponding to the
+      Now we are returning time_t value corresponding to the
       beginning of the gap.
     */
     *in_dst_time_gap= 1;
@@ -598,16 +598,16 @@
 {
 public:
   Time_zone_system() {}                       /* Remove gcc warning */
-  virtual my_time_t TIME_to_gmt_sec(const DRIZZLE_TIME *t,
+  virtual time_t TIME_to_gmt_sec(const DRIZZLE_TIME *t,
                                     bool *in_dst_time_gap) const;
-  virtual void gmt_sec_to_TIME(DRIZZLE_TIME *tmp, my_time_t t) const;
+  virtual void gmt_sec_to_TIME(DRIZZLE_TIME *tmp, time_t t) const;
   virtual const String * get_name() const;
 };
 
 
 /*
   Converts local time in system time zone in DRIZZLE_TIME representation
-  to its my_time_t representation.
+  to its time_t representation.
 
   SYNOPSIS
     TIME_to_gmt_sec()
@@ -619,18 +619,18 @@
 
   DESCRIPTION
     This method uses system function (localtime_r()) for conversion
-    local time in system time zone in DRIZZLE_TIME structure to its my_time_t
+    local time in system time zone in DRIZZLE_TIME structure to its time_t
     representation. Unlike the same function for Time_zone_db class
     it it won't handle unnormalized input properly. Still it will
-    return lowest possible my_time_t in case of ambiguity or if we
+    return lowest possible time_t in case of ambiguity or if we
     provide time corresponding to the time-gap.
 
     You should call init_time() function before using this function.
 
   RETURN VALUE
-    Corresponding my_time_t value or 0 in case of error
+    Corresponding time_t value or 0 in case of error
 */
-my_time_t
+time_t
 Time_zone_system::TIME_to_gmt_sec(const DRIZZLE_TIME *t, bool *in_dst_time_gap) const
 {
   long not_used;
@@ -639,13 +639,13 @@
 
 
 /*
-  Converts time from UTC seconds since Epoch (my_time_t) representation
+  Converts time from UTC seconds since Epoch (time_t) representation
   to system local time zone broken-down representation.
 
   SYNOPSIS
     gmt_sec_to_TIME()
       tmp - pointer to DRIZZLE_TIME structure to fill-in
-      t   - my_time_t value to be converted
+      t   - time_t value to be converted
 
   NOTE
     We assume that value passed to this function will fit into time_t range
@@ -655,7 +655,7 @@
     the 1902 easily.
 */
 void
-Time_zone_system::gmt_sec_to_TIME(DRIZZLE_TIME *tmp, my_time_t t) const
+Time_zone_system::gmt_sec_to_TIME(DRIZZLE_TIME *tmp, time_t t) const
 {
   struct tm tmp_tm;
   time_t tmp_t= (time_t)t;
@@ -685,22 +685,22 @@
 /*
   Instance of this class represents UTC time zone. It uses system gmtime_r
   function for conversions and is always available. It is used only for
-  my_time_t -> DRIZZLE_TIME conversions in various UTC_...  functions, it is not
-  intended for DRIZZLE_TIME -> my_time_t conversions and shouldn't be exposed to user.
+  time_t -> DRIZZLE_TIME conversions in various UTC_...  functions, it is not
+  intended for DRIZZLE_TIME -> time_t conversions and shouldn't be exposed to user.
 */
 class Time_zone_utc : public Time_zone
 {
 public:
   Time_zone_utc() {}                          /* Remove gcc warning */
-  virtual my_time_t TIME_to_gmt_sec(const DRIZZLE_TIME *t,
+  virtual time_t TIME_to_gmt_sec(const DRIZZLE_TIME *t,
                                     bool *in_dst_time_gap) const;
-  virtual void gmt_sec_to_TIME(DRIZZLE_TIME *tmp, my_time_t t) const;
+  virtual void gmt_sec_to_TIME(DRIZZLE_TIME *tmp, time_t t) const;
   virtual const String * get_name() const;
 };
 
 
 /*
-  Convert UTC time from DRIZZLE_TIME representation to its my_time_t representation.
+  Convert UTC time from DRIZZLE_TIME representation to its time_t representation.
 
   SYNOPSIS
     TIME_to_gmt_sec()
@@ -711,14 +711,14 @@
                         spring time-gap) and is not touched otherwise.
 
   DESCRIPTION
-    Since Time_zone_utc is used only internally for my_time_t -> TIME
+    Since Time_zone_utc is used only internally for time_t -> TIME
     conversions, this function of Time_zone interface is not implemented for
     this class and should not be called.
 
   RETURN VALUE
     0
 */
-my_time_t
+time_t
 Time_zone_utc::TIME_to_gmt_sec(const DRIZZLE_TIME *t __attribute__((unused)),
                                bool *in_dst_time_gap __attribute__((unused))) const
 {
@@ -729,19 +729,19 @@
 
 
 /*
-  Converts time from UTC seconds since Epoch (my_time_t) representation
+  Converts time from UTC seconds since Epoch (time_t) representation
   to broken-down representation (also in UTC).
 
   SYNOPSIS
     gmt_sec_to_TIME()
       tmp - pointer to DRIZZLE_TIME structure to fill-in
-      t   - my_time_t value to be converted
+      t   - time_t value to be converted
 
   NOTE
     See note for apropriate Time_zone_system method.
 */
 void
-Time_zone_utc::gmt_sec_to_TIME(DRIZZLE_TIME *tmp, my_time_t t) const
+Time_zone_utc::gmt_sec_to_TIME(DRIZZLE_TIME *tmp, time_t t) const
 {
   struct tm tmp_tm;
   time_t tmp_t= (time_t)t;
@@ -782,9 +782,9 @@
 {
 public:
   Time_zone_db(TIME_ZONE_INFO *tz_info_arg, const String * tz_name_arg);
-  virtual my_time_t TIME_to_gmt_sec(const DRIZZLE_TIME *t,
+  virtual time_t TIME_to_gmt_sec(const DRIZZLE_TIME *t,
                                     bool *in_dst_time_gap) const;
-  virtual void gmt_sec_to_TIME(DRIZZLE_TIME *tmp, my_time_t t) const;
+  virtual void gmt_sec_to_TIME(DRIZZLE_TIME *tmp, time_t t) const;
   virtual const String * get_name() const;
 private:
   TIME_ZONE_INFO *tz_info;
@@ -814,7 +814,7 @@
 
 /*
   Converts local time in time zone described from TIME
-  representation to its my_time_t representation.
+  representation to its time_t representation.
 
   SYNOPSIS
     TIME_to_gmt_sec()
@@ -829,9 +829,9 @@
     parameter restrictions.
 
   RETURN VALUE
-    Corresponding my_time_t value or 0 in case of error
+    Corresponding time_t value or 0 in case of error
 */
-my_time_t
+time_t
 Time_zone_db::TIME_to_gmt_sec(const DRIZZLE_TIME *t, bool *in_dst_time_gap) const
 {
   return ::TIME_to_gmt_sec(t, tz_info, in_dst_time_gap);
@@ -839,16 +839,16 @@
 
 
 /*
-  Converts time from UTC seconds since Epoch (my_time_t) representation
+  Converts time from UTC seconds since Epoch (time_t) representation
   to local time zone described in broken-down representation.
 
   SYNOPSIS
     gmt_sec_to_TIME()
       tmp - pointer to DRIZZLE_TIME structure to fill-in
-      t   - my_time_t value to be converted
+      t   - time_t value to be converted
 */
 void
-Time_zone_db::gmt_sec_to_TIME(DRIZZLE_TIME *tmp, my_time_t t) const
+Time_zone_db::gmt_sec_to_TIME(DRIZZLE_TIME *tmp, time_t t) const
 {
   ::gmt_sec_to_TIME(tmp, t, tz_info);
 }
@@ -878,9 +878,9 @@
 {
 public:
   Time_zone_offset(long tz_offset_arg);
-  virtual my_time_t TIME_to_gmt_sec(const DRIZZLE_TIME *t,
+  virtual time_t TIME_to_gmt_sec(const DRIZZLE_TIME *t,
                                     bool *in_dst_time_gap) const;
-  virtual void   gmt_sec_to_TIME(DRIZZLE_TIME *tmp, my_time_t t) const;
+  virtual void   gmt_sec_to_TIME(DRIZZLE_TIME *tmp, time_t t) const;
   virtual const String * get_name() const;
   /*
     This have to be public because we want to be able to access it from
@@ -915,7 +915,7 @@
 
 /*
   Converts local time in time zone described as offset from UTC
-  from DRIZZLE_TIME representation to its my_time_t representation.
+  from DRIZZLE_TIME representation to its time_t representation.
 
   SYNOPSIS
     TIME_to_gmt_sec()
@@ -928,13 +928,13 @@
                         It is not really used in this class.
 
   RETURN VALUE
-    Corresponding my_time_t value or 0 in case of error
+    Corresponding time_t value or 0 in case of error
 */
-my_time_t
+time_t
 Time_zone_offset::TIME_to_gmt_sec(const DRIZZLE_TIME *t,
                                   bool *in_dst_time_gap __attribute__((unused))) const
 {
-  my_time_t local_t;
+  time_t local_t;
   int shift= 0;
 
   /*
@@ -946,7 +946,7 @@
 
   /*
     Do a temporary shift of the boundary dates to avoid
-    overflow of my_time_t if the time value is near it's
+    overflow of time_t if the time value is near it's
     maximum range
   */
   if ((t->year == TIMESTAMP_MAX_YEAR) && (t->month == 1) && t->day > 4)
@@ -971,17 +971,17 @@
 
 
 /*
-  Converts time from UTC seconds since Epoch (my_time_t) representation
+  Converts time from UTC seconds since Epoch (time_t) representation
   to local time zone described as offset from UTC and in broken-down
   representation.
 
   SYNOPSIS
     gmt_sec_to_TIME()
       tmp - pointer to DRIZZLE_TIME structure to fill-in
-      t   - my_time_t value to be converted
+      t   - time_t value to be converted
 */
 void
-Time_zone_offset::gmt_sec_to_TIME(DRIZZLE_TIME *tmp, my_time_t t) const
+Time_zone_offset::gmt_sec_to_TIME(DRIZZLE_TIME *tmp, time_t t) const
 {
   sec_to_TIME(tmp, t, offset);
 }

=== modified file 'drizzled/tztime.h'
--- drizzled/tztime.h	2008-12-18 06:53:47 +0000
+++ drizzled/tztime.h	2008-12-22 04:53:24 +0000
@@ -21,7 +21,7 @@
 
 /**
   This class represents abstract time zone and provides
-  basic interface for DRIZZLE_TIME <-> my_time_t conversion.
+  basic interface for DRIZZLE_TIME <-> time_t conversion.
   Actual time zones which are specified by DB, or via offset
   or use system functions are its descendants.
 */
@@ -31,14 +31,14 @@
   Time_zone() {}                              /* Remove gcc warning */
   /**
     Converts local time in broken down DRIZZLE_TIME representation to
-    my_time_t (UTC seconds since Epoch) represenation.
+    time_t (UTC seconds since Epoch) represenation.
     Returns 0 in case of error. Sets in_dst_time_gap to true if date provided
     falls into spring time-gap (or lefts it untouched otherwise).
   */
-  virtual my_time_t TIME_to_gmt_sec(const DRIZZLE_TIME *t,
+  virtual time_t TIME_to_gmt_sec(const DRIZZLE_TIME *t,
                                     bool *in_dst_time_gap) const = 0;
   /**
-    Converts time in my_time_t representation to local time in
+    Converts time in time_t representation to local time in
     broken down DRIZZLE_TIME representation.
   */
   virtual void   gmt_sec_to_TIME(DRIZZLE_TIME *tmp, time_t t) const = 0;
@@ -62,4 +62,4 @@
 extern Time_zone * my_tz_find(Session *session, const String *name);
 extern bool     my_tz_init(Session *org_session, const char *default_tzname);
 extern void        my_tz_free();
-extern my_time_t   sec_since_epoch_TIME(DRIZZLE_TIME *t);
+extern time_t   sec_since_epoch_TIME(DRIZZLE_TIME *t);

=== modified file 'mysys/my_time.cc'
--- mysys/my_time.cc	2008-12-16 02:39:00 +0000
+++ mysys/my_time.cc	2008-12-22 03:34:28 +0000
@@ -775,7 +775,7 @@
 
 /*
   Convert time in DRIZZLE_TIME representation in system time zone to its
-  my_time_t form (number of seconds in UTC since begginning of Unix Epoch).
+  time_t form (number of seconds in UTC since begginning of Unix Epoch).
 
   SYNOPSIS
     my_system_gmt_sec()
@@ -795,7 +795,7 @@
   RETURN VALUE
     Time in UTC seconds since Unix Epoch representation.
 */
-my_time_t
+time_t
 my_system_gmt_sec(const DRIZZLE_TIME *t_src, long *my_timezone,
                   bool *in_dst_time_gap)
 {
@@ -981,7 +981,7 @@
   if ((tmp < TIMESTAMP_MIN_VALUE) || (tmp > TIMESTAMP_MAX_VALUE))
     tmp= 0;
 
-  return (my_time_t) tmp;
+  return (time_t) tmp;
 } /* my_system_gmt_sec */
 
 

=== modified file 'mysys/my_time.h'
--- mysys/my_time.h	2008-12-06 19:42:46 +0000
+++ mysys/my_time.h	2008-12-22 04:53:24 +0000
@@ -36,21 +36,6 @@
 extern uint64_t log_10_int[20];
 extern unsigned char days_in_month[];
 
-/*
-  Portable time_t replacement.
-  Should be signed and hold seconds for 1902 -- 2038-01-19 range
-  i.e at least a 32bit variable
-
-  Using the system built in time_t is not an option as
-  we rely on the above requirements in the time functions
-
-  For example QNX has an unsigned time_t type
-*/
-typedef long my_time_t;
-
-#define MY_TIME_T_MAX INT32_MAX
-#define MY_TIME_T_MIN INT32_MIN
-
 /* Time handling defaults */
 #define TIMESTAMP_MAX_YEAR 2038
 #define TIMESTAMP_MIN_YEAR (1900 + YY_PART_YEAR - 1)
@@ -129,7 +114,7 @@
   return true;
 }
 
-my_time_t
+time_t
 my_system_gmt_sec(const DRIZZLE_TIME *t, long *my_timezone,
                   bool *in_dst_time_gap);
 

